Subject: Re: O2 clarification

From: Toerless Eckert <[email-masked]>
Date: Thu, 20 Feb 1997 04:09:42 +0100 (MET)

>  TE> As we're at confusion: How about the so called "DSP" on the O2 ?
>  TE> I couldn't find one on the video board..
> 
> Could this maybe refer to the Audio DSP that where used on Indigo,
> Indigo2 and Indy machines as well? It's not much of a DSP but it does
> its job well. Unless SGI have done new magic in their audio this may
> very well be what they are refering too.

There's no audio DSP in Indigo2 or Indy machines either. There was a
Motorola 65k001 or whatever it was called in Indigo1 machines though.
SGI soon detected  that it was not only easier to programm a R4000 CPU
than a DSP, but it was also faster for their applications.

---

From: Terje Normann Marthinussen <[email-masked]>
Date: Thu, 20 Feb 1997 10:07:37 +0100

>>>>>> "TE" == Toerless Eckert <[email-masked]> writes:
>
> >> Someone has pointed out that my comment about the O2 having
> >> video standard was not exactly true. Evidently since the
> >> last time I checked, the video has been made an option.
> >> Sorry to cause confusion, my mistake.
>

Or maybe they mean the ICE (I believe it stands for Image and Compression
Engine?). It's a seperate processor that can run concurrently with the 
system processor doing for instance hw video compression/decompression 
(SGI claims real time jpg and h.261 decode/encode).
I read somewhere on news that it is placed on the motherboard, not the
video board.

Haven't got any O2s at hand, and I don't know much more than this.

Anyone working on support for it in vic, or maybe it is there already?

Terje Marthinussen
[email-masked]

---

From: Paul Stewart <[email-masked]>
Date: Thu, 20 Feb 1997 10:31:31 PST

>Anyone working on support for it in vic, or maybe it is there already?

Since one can use the same API for this board as the Cosmo Compress to access 
the ICE, it's presumable that the "vic hardware decompress" would be none the 
wiser of the details of its operation.  The reality of things is that even 
without asking for hardware compression, vic2.8 coredumps after a failed VL 
call.  I doubt that incredible efforts need to be made to get things working, 
but it does appear that some efford does.  (Might I add that this thread looks 
like it should be in rem-conf, if not something entirely different?)

--
Paul

---

From: Toerless Eckert <[email-masked]>
Date: Fri, 21 Feb 1997 10:32:06 +0100 (MET)

> like it should be in rem-conf, if not something entirely different?)

I bet that you cannot simply run even working Csmo code on the ICE.
SGI told me the libraries are NOT compatible.